> ## Documentation Index
> Fetch the complete documentation index at: https://docs.base44.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Export app source code

> Downloads the app's source code as a zip archive. The archive reflects the app's current saved code.



## OpenAPI

````yaml /developers/references/app-management/app-management-openapi.json get /api/apps/{app_id}/coding/export-to-zip
openapi: 3.1.0
info:
  title: Base44 App Management API
  version: 1.0.0
servers:
  - url: https://app.base44.com
security:
  - ApiKeyAuth: []
paths:
  /api/apps/{app_id}/coding/export-to-zip:
    get:
      summary: Export app source code
      description: >-
        Downloads the app's source code as a zip archive. The archive reflects
        the app's current saved code.
      operationId: export_to_zip_api_apps__app_id__coding_export_to_zip_get
      parameters:
        - name: app_id
          in: path
          required: true
          schema:
            type: string
            description: ID of the app whose source code to export.
            title: App Id
          description: ID of the app whose source code to export.
          example: 6820f3a4e7b91d003c45a1f2
      responses:
        '200':
          description: A zip archive of the app's source code.
          content:
            application/zip:
              schema:
                type: string
                format: binary
        '401':
          description: Missing or invalid credentials.
        '404':
          description: App not found.
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: api_key
      description: Personal API key.

````